Science, Computing Research Fare Well in Obama FY11 Budget
CRA is all about ensuring that 
the future of computing research 
is even brighter than the past has 
been. The Computing Community 
Consortium (CCC) is one of CRA’s 
prime mechanisms for doing so with 
the goal of creating such compelling 
research visions that researchers, 
funders, policy folks, students and 
the public become engaged. CCC 
is pursuing several strategies which 
are discussed in detail on its website 
www.cra.org/ccc. Here we’d like to 
provide some highlights with the goal 
of enticing you to explore more about 
CCC, and then to become engaged 
in its current activities or propose 
new ones.

CCC is a nimble activity, always 
ready to pounce on opportunity. 
Administration transitions provide 
a great opportunity to influence 
strategic directions, and CCC did just 
that by creating a set of “transition 
documents” which highlighted 
computing research areas that were 
ripe for impact (and funding). As 
typical in Washington, the request 
from OSTP was for documents that 
were brief and could be provided 
within a few days. Thus there was 
no possibility for a community-wide 
approach with vetting, etc. Instead, 
well-known research leaders were 
approached to contribute and they 

did—generating 19 documents 
(http://www.cra.org/ccc/initiatives.
php) that provided guidance for 
how the computing fields can 
help drive the Administration’s 
innovation priorities forward. Did 
they have impact? We’ve been told 
that they did; perhaps the best 
measure is the ultimate Washington 
indicator—do they show up in the 
President’s budget request? See CRA’s 
Government Affairs blog (http://
www.cra.org/govaffairs/index.php) for 
the good news.

CIFellows represents a second 
example of quick response to 
conditions. At the start of 2009 it 
became clear that the economy was 
in bad shape, leading to a highly 
likely negative impact on faculty 
and researcher hiring. Discussions 
started in January, and by the end of 
February a team was organized to put 
together a proposal to NSF to fund 
post-doctoral positions for the most 
highly qualified new PhDs in order to 
keep them in the computing research 
field. But the team quickly decided 
that this program could have a very 
positive impact on a much broader 
range of institutions than typically 
participate by ensuring that no more 
than two researchers either came from 
or went to any one institution. In this 
way, broad participation and impact 

was ensured—bridges would be built 
between diverse institutions. 

A proposal was developed and 
submitted in March, funded in 
early May, and the selection process 
was completed by early July—seven 
months from concept to contracts! 
Nimble indeed. See http://cifellows.
org/ and http://www.cra.org/
resources/crn-archive-view-detail/
the_computing_innovation_fellows_
project_strengthening_the_field/.

One of the Administration’s 
signature issues has been health 
care—and improving health care 
requires solving deep issues in 
computer science. Following the 
Administration’s wishes, federal 
agencies are working together on 
this issue, and they asked CCC 
to organize a workshop to discuss 
the role of computing research in 
health care. Susan Graham took 
the lead on this responsibility and 
http://www.cra.org/ccc/healthit.
php gives both the video record and 
the highlights of the results of the 
workshop. The workshop output 
has evolved into a funded research 
program http://healthit.hhs.gov/
portal/server.pt?open=512&objID= 
1436&mode=2.

CCC: The CRA in Action

Rumors of an Administration 
pullback in its support for science 
proved unfounded, as President 
Barack Obama in early February 
released an FY 2011 budget request 
that continues three key science 
agencies on trajectories that would 
see their funding double by 2017. 
The news for federal support of 
computing research was even better, 
with computing research accounts in 
several agencies slated for even greater 
percentage increases. 

Despite the Administration’s plan 
to freeze many discretionary spending 
accounts in the budget beginning 
in FY 2011, Obama’s budget makes 
exceptions for research funding at 
the National Science Foundation, 
Department of Energy’s Office of 
Science, and the National Institute 
of Standards and Technology—three 
agencies that are at the core of the 
President’s National Innovation 
Strategy. “Investment in science and 
basic research is critical to long-term 

economic growth,” the budget reads, 
providing justification for its $61.6 
billion in funding for civilian research 
and development, an increase of $3.7 
billion, or 6.4 percent more than the 
agencies received in FY 2010. 

Under the President’s plan, NSF 
would receive an 8 percent increase 
over its FY 2010 level, DOE’s Office 
of Science a 4 percent increase, and 
NIST a 7.3 percent increase. All 
federal science agencies were not 
treated equally, however. Overall, 
the federal budget for research and 
development (military and civilian) 
would stay relatively flat at $147.7 
billion in FY 2011, an increase of just 
0.2 percent over FY 2010. 

“Embedded in a relatively flat 
overall R&D budget are some very 
healthy increases in areas that are 
most important for the nation’s 
future,” said Presidential Science 
Advisor John P. Holdren at the 
budget release on February 1. 

Cuts fell on the Department of 

Homeland Security’s basic research 
efforts (down $54 million, or 24 
percent), applied research at the 
Department of Defense ($21  
million, essentially the same 
funding level as FY 2010), and the 
Administration announced it was 
halting NASA’s return-to-the-moon 
program, Constellation. 

The science community had grown 
anxious in December as reports 
surfaced that the White House Office 
of Management and Budget (OMB), 
the ultimate authority on agency 
budget requests, had balked at the 
funding levels required to keep the 
science agencies on the “doubling 
track.” Science Magazine reported in 
a December 4, 2009, story that OMB 
planned to hold NSF’s increase to just 
2.9 percent in FY 2011 and DOE’s 
Office of Science to just 1.6 percent. 

In response, a number of science 
advocacy groups, including CRA, 
weighed in with OMB Director Peter 
Orszag to encourage support for the 
President’s previous commitments 
to funding for NSF, DOE Science, 
and NIST. CRA joined with ACM’s 
U.S. Public Policy Committee, IEEE–
Computer Society, and IEEE-USA 
to make the computing community’s 
case for support. 

Because the Administration’s 

deliberations prior to the release 
of the budget are secret, it is not 
known whether the initial reports 
were erroneous or whether OMB’s 
thinking changed, but the budget 
as released adopts the “doubling 
path” funding levels the President 
committed to with the release of 
his National Innovation Strategy in 
September 2009. 

The President’s plan would 
provide an 8 percent increase to NSF, 
$552 million more than the agency’s 
FY 2010 budget. Of that $552 
million, $455 million would go to the 
foundation’s research accounts (also 
an 8 percent increase over FY 10). 
And of those research accounts, no 
research directorate would see bigger 
increases in the President’s plan than 
NSF’s home for computing research: 
the Computing and Information 
Science and Engineering (CISE) 
Directorate.

The directorate does so well in 
large degree because its programs 
match well with the agency’s 
priorities, said NSF Assistant Director 
for CISE Jeannette Wing, which in 
turn map well with the President’s 
priorities. Part of the President’s 
National Innovation Strategy for 
Introduction
As technology becomes ever more 

pervasive in everyday life and across 
many disciplines, one might expect 
that the study of Computer Science 
(CS) would become more appealing 
to more people, and to a broader 
spectrum of students. However, the 
number of undergraduate CS majors 
in 2009 is still much lower than it 
was during the dot-com boom of 
2000, and the diversity of students 
majoring in CS has changed little 
over the same period, with about two-
thirds of undergraduate CS students 
identified as white (according to the 
latest CRA Taulbee Survey). Over the 
longer term, gender diversity has even 
decreased—for instance, in 1985, 37% 
of CS degrees were earned by women, 
but 23 years later, the percentage was 
about half that (18% in 2008).

One effort to recruit and 
retain students, particularly 
under-represented students, in 
undergraduate introductory CS 
courses is Peer-Led Team Learning 
(PLTL). Since many students are 
not exposed to computer science in 
high school, introductory CS courses 
(hereafter referred to as CS1) are 
often a student’s first experience with 
CS. Large, lecture-based classes and 
complex one-person programming 
assignments can be daunting to 
students with no CS background. 
Since CS1 necessarily focuses on 
basic algorithmic concepts and 
programming, it may be difficult 
for students to appreciate the wide 
range of areas to which CS can be 
applied in real life, from network 
systems to machine translation. This 
article discusses how PLTL addresses 
the problems related to attracting 
students to the CS major, how PLTL 
has been implemented successfully 
at other universities, and our own 
experiences of building a PLTL 
program in the Computer Science 
Department at Columbia University.

The PLTL Paradigm 
Peer-Led Team Learning 

supplements traditional science, 
technology, engineering and 

mathematics (STEM) courses in that 
students meet in small groups (6 
to 8 people) facilitated by another 
student who has recently completed 
the course. The peer leader presents 
problems to the group, and then 
guides students as they collectively 
brainstorm, discuss and analyze the 
problems to come to a solution.

The team-learning format 
encourages active learning, as opposed 
to the common paradigm of passively 
listening to lectures in an auditorium 
filled with hundreds of students. 
Using a trained peer leader allows 
students to participate more openly, 
without feeling ashamed for asking 
“stupid questions.” One Columbia 
student wrote that she liked having a 
peer leader because “a professor can 
be too intimidating.” Also, since the 
peer leader has just completed the 
course, she remembers what it was 
like to learn fundamental concepts 
from scratch, whereas these concepts 
are second nature to people who have 
been immersed in the field for years.

PLTL has long been applied 
successfully in other STEM 
disciplines—for instance, the PLTL 
Workshop Project at City College 
of New York has been using it in 
chemistry since the early 1990s. 
In CS, PLTL has been growing in 
popularity over the past five years 
due to the success of the Emerging 
Scholars Program in CS (ESP-CS) 
endeavor. Eight colleges and 
universities worked closely together 
to develop, implement, and evaluate 
a PLTL program for CS1 over 
three years. They have published 
detailed findings of their experiences 
and results (such as [Horwitz & 
Rodger 09]), as well as modules of 
course content, to assist other CS 
departments in starting similar  
PLTL programs.

In addition to using PLTL, ESP-CS 
uses targeted recruiting to attract 
students from under-represented 
groups. Students who may otherwise 
be turned off by the stereotype 
of computer scientists as lone 
programmers can discover through 
PLTL that CS is a collaborative 
discipline and encompasses much 

more than just coding. Initial studies 
have shown that students, particularly 
students from under-represented 
groups, are much more likely to be 
drawn to STEM subjects when the 
material focuses on teamwork rather 
than on working alone.

ESP at Columbia University
On the heels of the successful 

“PLTL in CS Workshop” at 
Duke University in 2007, the CS 
Department at Columbia University 
funded an ESP pilot program in 
spring 2008 to encourage more 
women to pursue CS beyond the 
introductory level and into the 
major. At Columbia, the CS1 course 
(COMS1004) is a large, lecture-style 
class with 150 to 200 students. About 
40% are women—a much higher 
proportion than the CS department 
where in 2008 only 16% of majors 
were women.

During the pilot program, 
Professor Adam Cannon, PhD 
students Christian Murphy and 
Kristen Parton, and peer leader 
Kim Manis worked closely to come 
up with engaging problems from a 
variety of CS disciplines, including 
natural language processing, 
information retrieval, and social 
networking. The pilot was very 
successful. In the exit survey, all six 
students said they would recommend 
ESP to a friend. One student wrote, 
“These workshops gave me a better 
perspective of what computer science 
is. I have learned that it is extremely 
useful and pertains to problems and 
issues that are in our daily lives.” 
(Note: student quotes are taken from 
anonymous surveys.)

Thanks to a generous seed grant 
from the National Center for Women 
& Information Technology (NCWIT) 
and Microsoft Research, we were able 
to expand ESP to two sections in fall 
2008, and have continued to hone 
and expand the workshop content 
over the past two years. In total, 43 
undergraduates have completed ESP 
as students, and 10 have been peer 
leaders and/or assistants. In fall 
2009, in preparation for expanding to 
even more students, we had one co-ed 
section and one women-only section.

An important aspect of ESP at 
Columbia is networking—meeting 
other students who are interested in 
CS. This is particularly important 
because many advanced courses 
require working in groups, and 
networking is crucial for finding 
out about internships and other 
opportunities. To that end, ESP hosts 
an ice cream social each semester 
for all current and previous ESP 
students. “It was extremely rewarding 
to participate in something in which 
I not only found academic value but 

Engaging Introductory Computer Science 
Undergraduates through Peer-Led Team Learning
By Kristen Parton and Christian Murphy

Expanding the Pipeline 
Continued on Page 3 

ESP peer leader and CS major Sahar Hasan guides students in building a decision tree for the 9 coins 
problem.



March 2010 Computing Research News

Page 3

Good news: Funding opportunities 
for the CISE community are 
plentiful. We are in the middle of 
fiscal year 2010, and last month the 
President presented his fiscal year 
2011 budget to Congress. Taken 
together, the Administration is 
acting on its priorities, as outlined 
in my November 2009 CRN column. 
Here is a sketch of the relevant NSF 
programs to be on the lookout for in 
the coming months:

Climate Change, Energy, Environment 
· Sustainability

Starting with the foundation-
wide FY10 Climate Research 
Initiative (CRI) and evolving into 
the FY11 Science, Engineering and 
Education for Sustainable Well-being 
(SEES), NSF is putting its mark on 
sustainability, broadly construed to 
include climate change, energy, and 
the environment.

For CRI, NSF just released a 
new program solicitation seeking 
new approaches in computational 
modeling to handle the scale and 
complexity of modeling the Earth 
at decadal and regional scales, 
capturing the interactions among 
land, air, water, and living systems.  
While peta-scale and exa-scale 
hardware will play a major role in 
climate modeling, revolutionary 
new approaches will rely on our 
expertise in new computational 
abstractions—algorithms, languages, 
software interfaces, architectures, 
environments and tools—for more 
modular and compositional system 
models, to exploit data-intensive, not 
just compute-intensive applications, 
to provide visualization tools to 
scientists, and to help policymakers 
make science-based decisions. So 
please consider submitting a CRI 

proposal, especially in collaboration 
with other scientists.

Looking ahead to FY11 and the 
research challenges in computing 
that SEES will highlight, we as a 
community will be able to contribute 
through advances in energy-efficient 
and energy-intelligent computing, as 
well as through computing advances 
that support sustainability in other 
sectors. SEES will provide our 
community with an opportunity 
to understand from first principles 
energy requirements inherent in 
computation and communication, 
and to design and build energy-aware 
hardware and software systems. 
Advances in computing will enable 
more efficient, reliable, trustworthy 
energy delivery in the Smart Grid and 
will help reduce energy consumption 
in the Smart Home. Smart sensing 
systems have the potential to save 
energy and reduce greenhouse gas 
emissions. Intelligent decision-making 
can help optimize energy usage and 
can help a community make data-
driven policies about its energy usage 
and effects on the local environment. 
Stay posted for more information on 
SEES in the summer or fall of 2010.

Education and Learning
In FY10, CISE will evolve its 

education and workforce programs 
into a more broadly scoped effort 
on education in computing. 
Leveraging our successes in CPATH 
at the undergraduate level and our 
successes in the BPC alliances, we 
will be extending our reach into the 
pipeline to include middle school and 
high school students and teachers—
and simultaneously to widen it to 
include early on diverse populations, 
including women, underrepresented 

minorities, persons with disabilities, 
and the economically disadvantaged.  

This effort will allow us to put 
front and center our support for 
innovative projects like 10K x 10K 
and our endorsement of revising the 
CS Advanced Placement course(s) 
and exam(s). With this plan, we 
intend to send the strong message 
that computing is for everyone, 
regardless of one’s eventual career, 
regardless of gender, race, ethnicity, 
income, and so on. Of course, by 
promoting education and learning 
in computing at earlier stages in the 
pipeline, we hope that a direct benefit 
to our community will be increased 
interest in computing as a field of 
study. We hope to release our new 
program solicitation in the summer 
of 2010.

Cyberlearning Transforming 
Education (CTE) is NSF’s FY11 
foundation-wide initiative on 
cyberlearning. It recognizes that 
despite the revolution computing 
technology has had in science and 
engineering and in all aspects of our 
lives, we have not yet fully exploited 
its potential in the ways we teach and 
students learn. 

CTE will focus on three themes: 
1) Anytime Anywhere Learning, 
redistributing learning throughout 
waking hours and throughout 
a lifetime, not bound to formal 
classroom settings or traditional 
modes of instruction; 2) Personalized 
Learning, tailoring the learning 
experience to an individual and 
supporting new  forms of learning 
as a collaborative and social activity; 
and 3) (Cyber)Learning About (Cyber)
Learning, to advance our knowledge 
about learning, especially with cyber 
tools, and to advance next-generation 

cyber tools for learning based on new 
understandings about learning. More 
information on CTE will be available 
this summer or fall.

Computing Core Activities
For FY10 and FY11, CISE’s core 

programs and activities look strong 
and healthy.

CISE will continue to lead NSF 
in the Cyber-enabled Discovery 
and Innovation program, aka 
“Computational Thinking for Science 
and Engineering.” We will continue 
to work with MPS, ENG, and OCI 
on the Science and Engineering 
Beyond Moore’s Law, with a spotlight 
on quantum information science. 
In partnership with ENG, we will 
continue to support Cyber-Physical 
Systems, and are working vigorously 
to engage other agencies and the 
private sector to join our effort. 
We are working more closely with 
OCI to promote cloud computing 
as a new platform for scientists and 
engineers, especially for data-intensive 
applications (see CISE Bytes for an 
exciting update on this front). 

Along with SBE, we plan to 
continue our support for socially 
intelligent computing through our 
joint Social-Computational Systems 
program. Thanks to additional 
funding from the Comprehensive 
National Cybersecurity Initiative, 
CISE continues to provide sustained, 
robust support for our Trustworthy 
Computing program, with specific 
emphases on foundations of 
trustworthy computing, privacy, 
and usability. As always, please visit 
our website for a complete list of 
programs and funding opportunities.

Remember: We want your great 
ideas—be bold, be creative, be visionary! ❚

Message from the CISE AD
FY10 and FY11 Funding Opportunities for the Computing Community

also social and recreational value,” 
said one ESP student.

ESP Topics
At Columbia, we chose to focus 

workshop content on algorithmic 
thinking, since students do a great 
deal of programming in COMS 
1004. One student preferred not to 
program in ESP because it taught 
her that “much is done before 
programming begins” like “simply 
thinking about how to solve the 
problems.” Another agreed that 
the “thinking aspect [of CS] can 
get forgotten, lost, trampled over or 
almost done away with  
when programming.”

Since ESP is only open to a 
subset of students in COMS1004, 
we felt it was unfair to have the 
workshops tied directly to topics 
studied in COMS1004. Instead, we 
tried to demonstrate the breadth 
and variety of fields within CS. The 
ESP workshop topics we developed 

include: designing algorithms, 
encoding and encryption, machine 
translation, human-computer 
interaction, social network analysis, 
and hard (NP-complete) problems.

As in many other universities, 
students at Columbia must complete 
a number of required foundation 
courses before they can take advanced 
courses. Unfortunately, this means 
that students may not get exposed 
to different areas of CS until their 
junior or senior years. If a student 
finds she is passionate about 
something early on, it can give her 
extra motivation to get through the 
requirements. As one student wrote, 
“[ESP] provided a bright future for 
some dark moments in class.”

PLTL Benefits
Perhaps not surprisingly, there 

is strong evidence that students 
who participate in ESP earn better 
grades than other students in CS1. 
The ESP-CS evaluation from other 

universities demonstrated that more 
than 80% of ESP students earned 
grades of B or better, compared 
to 68% for students who did not 
participate in the program; the results 
were even better when considering 
only the targeted groups, specifically 
women and under-represented ethnic 
minorities.

The students who benefit most 
from ESP tend to be the peer leaders. 
The program provides tremendous 
opportunities for them to gain 
leadership experience and to build 
confidence in themselves as computer 
scientists and educators. Of the five 
students who have been ESP peer 
leaders at Columbia, one is currently 
a software engineer at Microsoft, 
and two others have used ESP as a 
stepping stone to further involvement 
in CS, participating in CRA-W 
Distributed Research Experiences for 
Undergraduates programs at top-tier 
research schools.

Resources
Thinking about starting a PLTL 

program in your department? 
Websites pltl.org and pltlcs.org 
provide excellent material on PLTL in 
general as well as CS content. 

Kristen Parton and Christian 
Murphy are PhD students in the 
Computer Science Department at 
Columbia University.

Notes: [1] Horwitz, S. and Rodger, 
S., Using Peer-Led Team Learning to 
Increase Participation and Success 
of Under-represented Groups in 
Introductory Computer Science. 
Fortieth ACM Technical Symposium on 
Computer Science Education (SIGCSE 
2009). ❚

Expanding the Pipeline from Page 2

By Jeannette M. Wing, Assistant Director of NSF for CISE
CRA’s Taulbee Survey of Ph.D.-
granting Computer Science (CS) and 
Computer Engineering departments 
in North America has been conducted 
annually since 1974. Results from the 
most recent survey will be provided 
to participants and CRA members in 
early March. They will be published 
on CRA’s website (www.cra.org/statis-
tics/) and in Computing Research News 
in May. Due to widespread interest, 
CRA releases data on undergraduate 
degrees early.

This article reports on CS 
bachelor’s degree enrollments and 
production among Ph.D.-granting 
departments in the United States 
since the late 1990s. Data are 
reported in both total numbers and 
medians per department as the latter 
helps limit the effect of variation 
in response rates. Results from the 
Taulbee Survey should be compared 
with data produced by the National 
Science Foundation (NSF), which 
surveys all institutions that grant CS 
degrees (whereas Taulbee is a survey 
of the doctorate-granting departments 
only). NSF’s most recent data are from 
academic year 2006/2007.1

According to HERI/UCLA, the 
percentage of incoming undergradu-
ates among all degree-granting institu-
tions who indicated they would major 
in CS declined by 70 percent between 
fall 2000 and 2005.2 Unsurprisingly, 
the number of students who declared 
their major in CS among the Ph.D.-
granting departments surveyed by 
CRA also fell. After five years of 
declines, the number of new CS 
majors in fall 2005 was half of what it 
was in fall 2000 (15,958 versus 7,952). 
From 2005 to 2007, the number of 
new majors was nearly flat. In 2008, 
the first increase in new majors since 
2000 was reported; in 2009, the 
upward trend continued with 9,380 
new majors reported.

The stabilization in the number of 
new majors over the past several years 
has in turn halted the decline in the 
total enrollment in CS. Enrollments 
declined steadily from their peak in 
2001-02 through 2006-07, but 2007-08 
saw an uptick and 2008-09 an addi-
tional increase. If the number of new 
majors continues to rise, enrollment 
will follow.

New majors take roughly three to 
five years to complete their degrees. 
We can expect, therefore, that the 
stabilization followed by an increase in 
new majors will take about that long 
to be seen in degree production. Not 
surprisingly, the number of degrees 
granted fell again in 2008-09 to 7,030, 
a decline of about 5% from 2007-
08. This does, however, represent a 
gradual improvement after an 8% 
decline last year, preceded by several 
years of double-digit declines.

It is important to note that 
fluctuations in degree production among 
CS departments have happened before. 
According to NSF, between 1980 
and 1986, undergraduate CS pro-
duction nearly quadrupled to more 
than 42,000 degrees. This period 
was followed by a swift decline and 
leveling off during the 1990s, with 
several years in which the number 
of degrees granted hovered around 
25,000. During the late 1990s, CS 
degree production again surged to 
more than 57,000 in 2004.3 This more 
recent peak has also been followed by 
a decline and now a leveling off, and 
the current increase in new majors 
seems likely to be a leading indicator 
of future increases in degrees granted.

Notes: 
1 See Appendix Table 2-1 at:  http://
www.nsf.gov/statistics/seind10/
2 HERI/UCLA’s “CIRP Freshman 
Survey” is an annual survey of the 
characteristics of students attending 
colleges and universities as first-time, 
full-time freshmen: www.gseis.ucla.
edu/heri/cirpoverview.php.
3 See: http://archive.cra.org/info/
education/us/bs.html

Betsy Bizot can be contacted at 
bizot@cra.org. ❚

by Betsy Bizot

US CS New Majors, Enrollment Both Continue 
Increase in 2008-2009

Grace Hopper Celebration of 
Women in Computing

“Collaborating Across Boundaries” 
Atlanta, Georgia 

September 28 - October 2, 2010 
Call for Participation Closes March 16, 2010

Online Scholarship Application Opens March 8 
Registration Opens June 1, 2010

http://gracehopper.org/2010/
Computing Invisibility

Computer science, computer 
engineering, information technology, 
informatics, computing and a host of 
other terms: we have used them all to 
denote this wonderfully fascinating 
and diverse thing we do. We have 
debated connotation and denotation 
as we seek a clear and compelling 
exegesis of our field. In so doing, 
I suspect we have occasionally lost 
sight of one key aspect, namely the 
importance of invisibility. What fol-
lows is a serious but whimsical look 
at invisibility’s power.

Technological Innovation
If you have read any comic books 

or watched movies based on them, 
you know that each superhero has a 
backstory, a set of superpowers and a 
stylized routine. As our technologies 
have evolved, so too have expecta-
tions for our fantasy superheroes and 
their behaviors. After all, technology 
evolution affects your favorite super-
hero just as it does you, albeit with 
slight twists.

In a world of observation satel-
lites, global positioning systems and 
MEMS-based sensors, it is extraordi-
narily difficult to maintain a secret 
hideout. Speech recognition and 
computer vision systems, along with 
deep data mining and machine learn-
ing, now compromise secret identities. 
One cannot even step into a nearby 
telephone booth for a superhero 
costume change.

Not only did the now ubiquitous 
cellular telephone render the pay tele-
phone obsolete, it changed everyone’s 
expectations for mobile accessibility. 
As an early adopter, I once drew a 
surprised and envious airport crowd 
when I opened my cell phone to 
rebook a flight after a cancellation. In 
years past, all of us would have sought 
a customer service agent or a pay 
phone to call the airline. Today, we 
expect wireless communication access 
almost anywhere the world. Such is 
the nature of exponential technologi-
cal change and its cultural impact.

Invisible Technologies
In any enumeration of fantasy 

superpowers, flight, invulnerability 
and superstrength rank high, along 
with invisibility. Like superheroes, 
successful technologies also become 
invisible. As technologies mature, mar-
ket penetration rises, cultural expecta-
tions shift, and consumer knowledge 
of the underlying theory and practice 
generally decline.

No longer need one understand 
Maxwell’s equations, the propagation 
properties of the Heaviside layer or 
superheterodyne receiver design to 
listen to the radio. Nor does one need 
a deep knowledge of thermodynam-
ics, catalysis theory or electronic fuel 
injection to drive a car. (A wag might 
suggest that such a requirement would 
reduce traffic accidents by severely 
limiting the number of licensed driv-

ers. A technology realist would look 
forward to the commercial advent of 
autonomous navigation systems.) 

Today, most computer users know 
nothing of the halting problem, 
superscalar pipeline design or object 
oriented programming. This is suc-
cess, for it allows all but the technol-
ogy experts to focus on the raison d’être 
for computing or any other technol-
ogy—enabling and expanding the 
human experience, often in new and 
unexpected ways.

In that spirit, I humbly suggest that 
the word computing is often an intel-
lectual blinder that limits our imagina-
tion of the possible. Ask anyone how 
many computers they own, and the 
instinctive answer is probably a small, 
positive integer. In truth, most of us 
own hundreds, if not thousands, of 
invisible computers. They are simply 
embedded in everyday devices—elec-
tronic thermostats, home appliances, 
portable music players, hearing aids 
and pacemakers, and even running 
shoes. You probably drive a mobile 
computing platform to work each 
day, replete with computer-controlled 
engine and antilock brakes, climate 
controls and communication system. 
Invisible computing makes these 
devices more flexible and adaptive.

Empowering Experiences
Although our worldwide deploy-

ment of computing remains sadly and 
unequally distributed, we have crossed 

a critical capacity threshold from 
paucity to plethora. Such a plethora of 
inexpensive and powerful computing 
devices, high-capacity storage systems, 
and ubiquitous wired and wireless 
communication brings new oppor-
tunities. Fully capitalizing on those 
opportunities likely requires a shift 
in psychological mindset, particularly 
for those of us who entered the field 
when cycles, bytes and bits were to be 
managed frugally.

It is time to free our imaginations 
and embrace computing invisibility 
as our technological superpower. We 
can be truly profligate and use invis-
ible computing to enrich the human 
experience and empower creativity 
in new and novel ways, exploring the 
rich interplay of technological pos-
sibilities with social expectations and 
desires. Concomitantly, as computing 
becomes the critical infrastructure 
of the 21st century, we must also 
be aware of both the risks and the 
rewards. As one superhero famously 
remarked, “With great power comes 
great responsibility.” 

Dan Reed, former CRA Board Chair, 
is Microsoft’s Corporate Vice President 
for Technology Policy and Strategy and 
Extreme Computing. Contact him at 
Daniel.Reed@microsoft.com or his blog at 
www.hpcdan.org ❚

By Dan Reed

NSF to Sponsor “Broader 
Impacts” Workshop

When asked to provide “the 
broader impacts resulting from the 
proposed activities” on a grant pro-
posal, how do you respond? On June 
21-23, NSF will host a workshop that 
will provide the tools to address this 
question.

The Broader Impacts for Research 
and Discovery Summit (BIRDS) is 
about putting the broader impacts in 
the forefront of our research efforts. 
The workshop will present examples 
of broad impacts from ongoing and 
recent projects, and provide opportu-
nities for researchers to explore and 
expand on these criteria.

Participation will be by invitation, 
by application, and by webcast. It is 
expected to produce presentations of 
the exemplar projects and their im-
pacts, and guidelines for the impact 
criteria, in several media, including 
text and video.

NSF’s grant proposal guide 
indicates that the grant proposal 
project description “must describe as 
an integral part of the narrative, the 
broader impacts resulting from the 
proposed activities, addressing one or 
more of the following as appropriate 
for the project:

1.	How the project will integrate 
research and education by 
advancing discovery and under-

standing while at the same time 
promoting teaching, training, 
and learning;

2.	Ways in which the proposed 
activity will broaden the par-
ticipation of underrepresented 
groups (e.g., gender, ethnicity, 
disability, geographic, etc.);

3.	How the project will enhance 
the infrastructure for research 
and/or education, such as facili-
ties, instrumentation, networks, 
and partnerships;

4.	How the results of the project 
will be disseminated broadly to 
enhance scientific and techno-
logical understanding; and

5.	Potential benefits of the 
proposed activity to society at 
large.”

The BIRDS Steering Committee 
includes: Tracy Camp, Colorado 
School of Mines, BIRDS Chair; Juan 
Gilbert, Clemson University, BIRDS 
Co-Chair; Judy Goldsmith, University 
of Kentucky; Kera Johnson, Albert 
Einstein Distinguished Educator Fel-
low, NSF; Samir Khuller, University 
of Maryland; and Camsie Matis, Al-
bert Einstein Distinguished Educator 
Fellow, NSF. 

A Call for Participation will be 
posted soon under events at: http://
www.bpcportal.org. ❚

Advance Announcement:  
CAPP Advanced Career Mentoring Workshop

CRA-W is pleased to announce the 2010 CAPP Professional De-

velopment workshop, which will be held June 25-26 in Providence, 

Rhode Island. The goal of the workshop is to increase the percent-

age of Computer Science and Engineering women faculty mem-

bers and researchers who reach the top of their respective career 

tracks: faculty members, by being promoted to full professor; and 

researchers in industrial or governmental labs, by being promoted 

to the top of their institution’s technical ladder or by entering re-

search management. 

As with previous years, the cornerstone of the CAPP workshop will 

be the involvement of senior women, appointed as CRA-W Distin-

guished Professors or Researchers, who will actively participate in 

the program as role models, mentors, and advisers to the cohort. 

The project will build a community of associate professors and 

senior labs researchers, providing them with mentoring, leadership 

training, encouragement, and ongoing peer-support activities. The 

highly interactive workshop will include a Professional Develop-

ment Workshop, a series of smaller meetings in conjunction with 

technical conferences/seminars, and ongoing electronically based 

support activities. 

Application and travel support information will be available before 

April 15 at the CRA-W CAPP website: http://www.cra-w.org/
FY 2011 includes a focus on energy 
technologies, understanding and 
mitigating climate change, and 
promoting green jobs. Under the 
President’s plan, CISE would 
participate in two foundation-wide 
programs that meet this focus:

1.	Science, Engineering, and 
Education for Sustainability 
(SEES)—A $765.5 million 
program aimed at integrating 
NSF’s work in climate and 
energy science to generate the 
discoveries and tools needed 
to “inform societal actions 
that lead to environmental 
and economic sustainability.” 
CISE’s $29.3 million role in 
the program would focus on 
work with direct impact, like 
energy-intelligent computing; 
indirectly, with advances in 
computing to reduce energy 
consumption in other sectors 
(e.g., Smart Grid, Smart Home, 
Smart Transportation); and 
foundational, understanding 
how energy contributes to 
algorithmic complexity and 
system performance (i.e., can we 
develop more energy-efficient 
algorithms?).

2.	Cyberlearning for Transforming 
Education (CTE)—CISE’s 
$15 million share of this $41 
million program would be 
used to fund research about 

“Anytime, Anywhere Learning,” 
“Personalized Learning,” 
and understanding all four 
permutations of: “(Cyber) 
Learning about (Cyber) 
Learning.” A goal is to develop 
fundamental knowledge about 
learning to inform new cyber 
tools and techniques.

In addition to these two new 
areas, CISE would continue 
its participation in two other 
foundation-wide efforts. Cyber-
enabled Discovery and Innovation 
(CDI) would receive $105.5 million 
in the agency’s plan, of which $50 
million would be shared by CISE. 
CDI is the agency’s “Computational 
Thinking for Science and 
Engineering” program.

The other foundation-wide 
priority with CISE participation 
is the Science and Engineering 
Beyond Moore’s Law program, a 
$70.2 million program aimed at 
figuring out where we go when 
current silicon technologies reach the 
limits of Moore’s law. CISE would 
contribute $15 million to the effort, 
funding research on new computing 
technologies (including quantum 
information science), approaches, 
and models.

Other highlights include a $70 
million increase to the directorate’s 
Trusted Computing efforts, 
continued work with the Engineering 

directorate on the Cyber Physical 
Systems program, significant 
increases in the CAREER program 
(7.1 percent increase to $54.6 
million in FY 2011), and a Graduate 
Research Fellowships (GRF) program 
that has grown to $2.55 million in 
FY 2011. Wing strongly encouraged 
more GRF proposals from the 
computing community.

One program not fully addressed 
in the budget documentation 
is the status of the Broadening 
Participation in Computing (BPC) 
program within CISE. As part of the 
FY 2011 budget, NSF announced a 
new “Comprehensive Broadening 
Participation of Undergraduates 
in STEM,” a $100.3 million effort 
to “realign and build on existing 
programs and activities” and break 
down “programmatic stovepipes.” It 
is unclear how BPC fits into the new 
foundation-wide effort, if at all, and 
at press time Wing would only say 
that it was under discussion.

The NSF’s Office of 
Cyberinfrastructure would also 
see an increase in FY 2011 under 
the President’s plan. The agency 
requested $228 million for FY11, 
an increase of $13.8 million, 
or 6.4 percent over FY 2010. 
Overall, the agency would increase 
IT research and development 
funding throughout the agency by 
7 percent next year. The agency’s 

total contribution to the federal 
Networking and Information 
Technology Research and 
Development (NITRD) program 
would rise to $1.17 billion in FY 11, 
an increase of $79.6 million from 
FY 10.

Computing flourishes in the 
President’s request, according to 
Wing, because computing inherently 
speaks about innovation (which 
means jobs), and because “all the 
Administration’s priorities are well 
addressed by our technologies.” 

Computing also fares well at the 
Department of Energy. Overall, the 
Office of Science, the home of the 
majority of the agency’s basic research 
and computing research efforts, 
would receive a 4 percent increase 
over FY 2010, bringing the research 
budget to $5.1 billion. Within the 
Office of Science, the Advanced 
Scientific Computing Research 
program would receive an 8.1 percent 
increase in FY 2011, to a total of $426 
million. Basic energy science would 
see an increase of 12 percent, for a 
total of $1.8 billion in FY 2011. 

For a complete breakdown 
of computing research in agency 
budgets, as always, check CRA’s 
Computing Research Policy Blog at 
http://cra.org/blog. ❚

Science, Computing Research Fare Well in Obama FY11 Budget from Page 1

The National Academy of 
Engineering announced 

the Members of the Class 
of 2010 on February 17. 
Congratulations to all! 

New members in CS&E 
include:

Andrei Broder, Yahoo!

Irene Greif, IBM

Bill Gropp, UIUC

Laura Haas, IBM

Mike Jordan, UC Berkeley

Brewster Kahle, Internet Archive 

Tom Mitchell, CMU 

Larry Peterson, Princeton

Ben Shneiderman, University of 
Maryland 

Mark Wegman, IBM

N.R. Narayana Murthy, Infosys 
(Foreign Associate)

Details: http://www.nae.edu

NAE Announces  
New Members

NSF Directorate-by-Directorate FY 2011 Funding Request  
(in millions)

  NSF Directorates	 FY10 Est	 FY11 Req	 $ change	 % change

  

  Biology	 $714.5 	 $767.8 	 $53.2 	 7.5%

  Computer and Information

  Science and Engineering	 $618.8 	 $684.5 	 $65.7 	 10.6%

  

  Engineering (-SBIR/STTR)	 $618.2 	 $682.8 	 $64.7 	 10.5%

  

  Geosciences	 $889.6 	 $955.3 	 $65.7 	 7.4%

  Mathematics and 

  Physical Science	 $1,351.8 	 $1,409.9 	 $58.1 	 4.3%

  Social, Behavioral 

  and Economic	 $255.3 	 $268.8 	 $13.5 	 5.3%

NSF FY 2011 Funding Request, by Directorate. Engineering does not include funding requested for the 
agency's contribution to the Small Business Innovation Research or Small Business Technology Transfer 
Research programs. 
Personnel Updates
CISE is pleased to announce the 

appointment of Dr. Suzi Iacono as 
Deputy Division Director for IIS and 
Dr. Anita LaSalle as Acting Deputy 
Division Director for CCF. We rely 
on our Deputy Division Directors for 
the smooth scientific operation of 
our Divisions, and are grateful to Suzi 
and Anita for taking on these new 
roles. Suzi also continues to serve 
CISE as Senior Science Advisor.

We welcome Dr. Carl Landwehr 
as a Program Director for the 
Trustworthy Computing Program. 
Carl’s academic affiliation is with the 
University of Maryland. He brings a 
wealth of experience in cybersecurity 
research and program management 
to CISE.

We also said “goodbye” to 
two program directors in CCF: 
Dr. Lenore Mullin, who oversaw 
numerical and symbolic computing 
in the Algorithmic Foundations 
Program, and Dr. Tatsuya Suda, 

who oversaw biological-inspired 
computing in the Software and 
Hardware Foundations Program and 
helped bridge ties to the Biological 
Sciences Directorate.

The big news, of course, is that 
Dr. Arden Bement, Director of NSF, 
will be stepping down on June 1 
to return to Purdue University to 
head its new Global Policy Research 
Institute. Dr. Bement built up an 
energetic team of ADs and ODs who 
work extremely well together and he 
will be sorely missed.

Cloud Computing
On February 4, 2010, Microsoft 

and NSF jointly announced that 
NSF will provide funding to 
academic researchers to access for 
free Microsoft’s Windows Azure 
platform. This platform provides a 
very different programming model 
to the user than the open source 
Hadoop (“MapReduce”) model. A 
Windows Azure program consists 

of one or more “Web roles,” which 
are standard web service processes, 
and “worker roles,” which are 
computational and data management 
processes; roles communicate via 
message passing. Azure provides 
five different kinds of data storage, 
including support for blobs (binary 
large objects), tables, and queues. 
We invite the community to check 
it out! The Microsoft platform 
complements the cloud computing 
infrastructure CISE has provided for 
the community since spring 2008, 
starting with the Google+IBM cluster 

and later the HP+Intel+Yahoo cluster 
housed at the University of Illinois, 
Urbana-Champaign. Please see the 
CISE website for the press release on 
the Microsoft and NSF partnership, 
an FAQ on the Windows Azure 
resources provided to the NSF 
community, and details on how to 
get NSF funding to do research on 
this platform.

Each of these three activities has 
the same key characteristic—none was 
on the horizon even a few months 
before it showed up. Reacting quickly 
takes an existing infrastructure, and 
CRA is providing that infrastructure 
through CCC.

But it’s not all about reacting, it’s 
also about creating. CCC has engaged 
in two main creative thrusts. The first 
is supporting research communities 
in asking “What questions shape our 
intellectual future? What are the key 
questions in your research domain 
and how should researchers go about 
answering them? To date, CCC has 
supported 11 visioning activities. 
Some are just under way; others 
have progressed beyond developing 

blueprints for a research future and 
are, with CCC support, actively 
seeking funding to enable that future. 
All are covered at http://www.cra.
org/ccc/activities.php, along with the 
call for you to develop new visioning 
activities http://www.cra.org/ccc/
vision.php.

To build support for additional 
research funding, it is imperative 
that we engage funders and staffers 
in our visions. “Computing Research 
That Changed the World” was 
designed to do just that. This one-day 
symposium, held in the Members 
Room of the Library of Congress, 
featured 13 talks by research leaders 
in key areas of computing research, 
research that impacts the lives of 

people everywhere. And each talk 
highlights the enormous possibilities 
as we continue to explore these 
areas. The talks were videoed and 
are available on YouTube and (in 
higher quality) on the website http://
www.cra.org/ccc/locsymposium.php, 
along with summaries of each talk. 
Permission is given to freely make 
use of each talk (for non-commercial 
purposes) so they are good to go in 
the classroom, for recruiting, for 
explaining to family and friends 
exactly what it is you do, for ...

As CCC begins its third year 
of activity, we wish to thank those 
who have served on the governing 
Council and who have now rotated 
off: Greg Andrews, Dick Karp, Peter 

Lee, Andrew McCallum, Karen 
Sutherland, David Tennenhouse and 
Dave Waltz. And we welcome those 
who joined the Council in January: 
Randy Bryant, Lance Fortnow, Hank 
Korth, Eric Horvitz, and Margo 
Seltzer. These folks are working 
to create futures from which all 
computing researchers will benefit! ❚

CCC Update from Page 1
CISE Bytes
By Jeannette M. Wing, Assistant Director of NSF for CISE

Collaborative Research Experiences  
for Undergraduates (CREU)

Application Deadline: May 1, 2010

Sponsored by CRA’s Committee on the Status of Women in 
Computing Research (CRA-W) and the Coalition to Diversify 
Computing (CDC), the CREU program is aimed toward increasing 
the number of women and underrepresented minorities who go on to 
CS&E graduate programs. 

Students have the opportunity to conduct undergraduate research 
with a small team (two to four students) at their home institution 
during the academic year and optionally the following summer. 
Formerly administered as two separate programs—CREU and MRO-W—
the program includes not only computer science and engineering 
research, but also collaborative, multidisciplinary research creating and 
using cyber-infrastructure.  

Each student from an underrepresented group receives a $3,000 
stipend for work in the academic year and $4,000 for the optional 
summer extension. Each team can also request an extra $1,500 to be 
used for supporting materials and activities.

See: http://www.cra-w.org/creu
Professional Opportunities

Columbia University
Computer Science Department 

Research Associate in Computer 

Graphics and Software Development

For full description and to apply, visit: 
https://academicjobs.columbia.edu 
Job Title:  Staff Associate, Computer 

Science Department, Posting ID:  
0001056

EEO Statement: Columbia University 
is an Equal Opportunity/Affirmative 
Action employer. 

NCAA Statement As a member of the 
National Collegiate Athletic Association 
(NCAA) and the Council of Ivy Group 
Presidents (Ivy League), it is imperative 
that members of the Columbia University 
community, in all matters related to the 
intercollegiate athletics program, exhibit 
the highest professional standards and 
ethical behavior with regard to adherence 
to NCAA, Conference, University, and 
Department of Intercollegiate Athletics 
and Physical Education rules and 
regulations.

Emory University - Atlanta, 
Georgia
Department of Mathematics and 

Computer Science 

Lecturer in Computer Science

The Department of Mathematics and 
Computer Science of Emory University 
invites applications for a non-tenure-track 
position in Computer Science at the rank 
of Lecturer, beginning Fall 2010.

Responsibilities include teaching 
primarily undergraduate courses in 
Computer Science as well as department 
service activities such as curriculum 
development and major advising.  In 
addition, Lecturers are expected to 
contribute to the life of the college 
through faculty committees and other 
forms of academic service.

Candidates should have a PhD in 
Computer Science and must demonstrate 
potential for excellence in teaching. 
Initial appointment will be for a period 
of three years with further renewals and 
promotions within the lecturer-track 
possible. Emory policies concerning 
lecture-track faculty can be found at 
Appointment and review of Lecturers and 
Senior Lecturers (http://college.emory.
edu/about/faculty/lecturers.html).

Women and underrepresented 
minorities are especially encouraged to 
apply. Applications consisting of a cover 
letter, CV, a statement of career goals 
and teaching philosophy, evidence of 
teaching excellence, and three letters 
of recommendation directly from 
recommenders should be submitted via 
Mathjobs.org. Informal inquiries are also 
invited by email (cs@mathcs.emory.edu). 
Screening begins February 26, 2010 and 
will continue until the position is filled. 

Emory University is an Affirmative 
Action/Equal Opportunity Employer and 
welcomes applications from women and 
members of minority groups.

FX Palo Alto Laboratory, Inc.
Research Scientist

FX Palo Alto Laboratory, Inc. (FXPAL) 
provides multimedia and collaboration 
technology research for Fuji Xerox Co., 
Ltd., a joint venture between Xerox 

Corporation of America and FujiFilm of 
Japan.

We have an immediate opening for 
a Research Scientist eager to embrace 
new challenges in cloud computing and 
distributed applications. Applications 
include social networks, large scale data 
mining, document management, media 
processing, 3D mixed reality worlds, and 
distributed collaboration. The preferred 
applicants will have extensive experience 
with scalable internet systems, database 
management systems, distributed 
programming tools, or computer 
networks.

Candidates should be interested in 
working on practical applications in 
a collaborative setting and be able to 
perform leading edge original research. 
This position requires a Ph.D. in 
Computer Science or related field, strong 
programming skills, and an excellent 
publication record.

For more information about FXPAL, 
please visit our website at www.fxpal.com. 

To apply send resume to 
fxpalresumes@fxpal.com. Please reference 
job code CRN-5

George Mason University
Department of Computer Science 

Non-Tenure Track Instructional Faculty 

Position

The Department of Computer 
Science in the Volgenau School of IT & 
Engineering at the Fairfax, VA campus 
of George Mason University invites 
applications for a non-tenure track 
instructional faculty position at the rank 
of Assistant Professor beginning Fall 
2010. 

The faculty position is in information 
security and assurance. Minimum 
qualifications for the position include 
a Ph.D. in Computer Science or a 
related field, research and/or industrial 
experience in information security and 
assurance, and a commitment to high 
quality teaching.

The department has over 40 faculty 
members with wide-ranging research 
interests. Security research at George 
Mason is conducted in access control 
methods and models, authentication, 
network security, intrusion detection and 
prevention, database security, operating 
systems security, vulnerability analysis, 
malware analysis and defense, anonymity 
and privacy, security theory, and security 
policy. For more information on the 
department, visit our web site: http://
cs.gmu.edu/.

For full consideration please submit 
application and application materials 
on-line at http://jobs.gmu.edu (position 
number F93352). To apply, you will 
need a statement of professional goals 
including your perspective on teaching 
and research, a complete C.V. with 
publications, and the names of three 
references. The review of applications will 
begin immediately and continue until the 
position is filled.

GMU is an equal opportunity/
affirmative action employer. Women and 
minorities strongly encouraged.

Helsinki Institute for Information 
Technology HIIT
Aalto University, Department of 

Information and Computer Science

Postdoctoral and Senior Researcher 

Positions in Computing Research

Helsinki Institute for Information 
Technology HIIT and the Aalto University 
Department of Information and 
Computer Science in Helsinki, Finland, 
are inviting applications for postdoctoral 
and senior researcher positions in several 
areas of computing research including: 
machine learning and data analysis; 
computational methods for networks, 
interaction and economics; large 
constraint models; nanoscale self-assembly; 
enhancement of internet infrastructure; 
human-centric ubiquitous IT.

The closing date for applications is 15 
March 2010. The positions will be filled 
for three years maximum starting at the 
earliest 1 August 2010.

Further details of the posts and the 
application procedure are available at:

http://www.hiit.fi/jobs (3 positions)
http://ics.tkk.fi/en/vacancies/ (4 

positions)

Kyungwon University
Department of Software Design and 

Management

Faculty Positions

The Department of Software Design 
and Management at Kyungwon University 

in South Korea invites applications for 
a tenure-track position at the assistant 
professor or associate professor level.

Kyungwon University is located 
at Seongnam near Seoul. Further 
information about the university can be 
obtained at http://www.kyungwon.ac.kr/
english. 

The Department of Software Design 
and Management is a new department 
within the IT College.  It is to launch in 
March 2010. It aims to become one of the 
world’s top institutes for undergraduate 
software education. Dr. Won Kim, a 
world-renown pioneer in object-oriented 
and object-relational database technology, 
has joined Kyungwon University as IT 
Vice President and a lifetime professor to 
create, launch and grow the Department.

The Department seeks qualified 
candidates in one or more of the 
following areas:

- software engineering and architecture
- intelligent multimedia processing
- computer networking and 

communication
Applicant should have a strong 

passion for teaching, a Ph.D. degree 
in computer science from a reputable 
U.S. university, experience in teaching 
undergraduate computer science courses, 
and strong publication records. 

How to Apply: Send a resume and 
cover letter, along with three letters of 
reference to affairs@kyungwon.ac.kr. 

CRN Advertising Policy
See http://www.cra.org/main/cra.jobshow.html

   

 

 

CUNY Cyberinfrastucture Initiative 

Open Rank, Tenure-track Faculty Position 

High Performance Computing and Bioinformatics 

Hunter College of the City University of New York seeks 
candidates for a tenure-track faculty position with expertise in the 
development, adaptation and implementation of HPC algorithms 
applied to such data-intensive biological areas as (but not limited 
to) next-generation sequencing, biomedical ontologies, and 
systems biology.  

The successful candidate will be appointed to the doctoral faculty 
at the CUNY Graduate Center and will participate actively in 
Hunter’s NIH-funded Quantitative Biology (QuBi) Project. 

The anticipated start date is Fall 2010. The appointment will be 
made in the Department of Computer Science or the Department 
of Biological Sciences depending on qualifications. Preference 
will be given to mid-career candidates, but exceptional junior 
candidates will also be considered. Evaluation is ongoing and will 
continue until the position is filled. 

Hunter’s computing and biomedical research community, is 
supported by extensive funding from NIH and NSF. Hunter 
College is strategically located in Manhattan near other major 
biomedical research centers and universities and attracts an 
engaging and diverse student body.  

For information on how to apply, visit: 

http://www.hunter.cuny.edu/qubi/ 

Questions may be emailed to: 

bioinformatics@hunter.cuny.edu 
Montclair State University
Computer Science Department

Chair, Computer Science Department

Position Announcement is subject to 
available funding.

The Department of Computer 
Science invites applications for the 
tenure track Department chair position. 
The Department’s 14 faculty members 
support the BS in Computer Science 
with an ABET CAC accredited track, the 
BS in Information Technology, the BS/
MS and MS in Computer Science. The 
chair is expected to provide visionary and 
transformative collegiate leadership in 
research/funding, teaching/learning, and 
curriculum development, e.g., continued 
progress in development of a new PhD 
in Computational Science.  This forward 
looking leadership includes implementing 
and modifying the Department Strategic 
Plan and working with academic 
standards and procedures of accrediting 
agencies such as ABET.  The Department 
expects the new chair, while on a reduced 
teaching load, to contribute to teaching of 
undergraduate and graduate courses.  

The position requires a Ph.D. in 
Computer Science or a related field.  
Candidates must have administrative 
experience such as that of a department 
chair, coordinator of a major program 
or director of personnel working in 
computer science and an established 
record of scholarship and teaching 
allowing appointment as an Associate 
or Full Professor. We expect familiarity 
with curriculum development, practice 
in accreditation or assessment, and 
demonstrated ability to mentor junior 
faculty.  All faculty members are expected 
to have an ongoing research program, 

to actively foster student learning, to be 
involved in professional activities, and to 
develop external funding support for their 
scholarship.

Salary Range:  Salary and rank is 
dependent upon qualifications.

Starting Date:  September 1, 2010
Send Letter and Resume:
Send hard copy that includes C.V., 

at least three professional references, a 
statement of research interests, teaching 
philosophy, and professional goals to:

Search Committee V-F35
Department of Computer Science
Montclair State University
Montclair, NJ 07043
Apply By:  Screening begins 

immediately and continues until the 
position is filled.

Montclair State University is New 
Jersey’s second largest and fastest 
growing university offering a rich array 
of programs to approximately 16,000 
undergraduate and post-baccalaureate 
students. Montclair State offers the 
advantages of a large university — a 
comprehensive undergraduate curriculum 
with a global focus, a broad variety of 
superior graduate programs through 
the doctoral level, and a diverse faculty 
and student body — combined with a 
small college’s attention to students. 
Characterized by a distinguished cadre of 
teacher-scholars, and a deep commitment 
to the values o multicultural diversity, 
Montclair State University is located 
14 miles west of New York City on a 
beautiful 200-acre suburban campus.

Additional information can be found 
on the MSU website at:  
http://www.montclair.edu

National University of Singapore
Tenure-Track Positions 

Applications are invited for tenure-
track positions at the Assistant/
Associate/Full Professor level. We are 
seeking outstanding candidates who are 
looking for new opportunities to advance 
their careers in the following areas:

•	Computer Security
•	Computer Graphics
•	Games & Entertainment 

Technologies
•	Computer Systems
•	Networking
•	Algorithms
NUS is a highly ranked research 

university with low teaching loads, 
excellent facilities, and intensive 
international collaboration. The 
Singapore government has recently 
earmarked over S$500 million for 
research and industrial projects focused 
on Digital Media and related areas. 
Significant funding opportunities abound 
for strong candidates. The School of 
Computing consists of active and talented 
faculty members working in a variety 
of areas, and attracts the best students 
(both undergraduate and graduate) in the 
region.  

NUS offers highly competitive salaries, 
as well as generous benefits for housing 
and education. Singapore offers a vibrant 
international environment with low-taxes.

Review of applications will be 
immediate and will continue until June 
30, 2010. Interested candidates are 
requested to send the following materials 
to csrec@comp.nus.edu.sg:

•	Curriculum Vitae
•	Research Statement
•	Names of at least five references

NEC Laboratories America, Inc. 
Research Staff Member – Large-Scale 

Distributed Systems

NEC Laboratories America, Inc. 
(http://www.nec-labs.com) conducts 
research in support of NEC U.S. and 
global businesses. The research program 
covers many areas – reflecting the breadth 
of NEC business – and maintains a 
balanced mix of fundamental and applied 
research.

The Large-Scale Distributed Systems 
group conducts advanced research in 
the area of design, analysis, modeling 
and evaluation of distributed systems. 
Our current focus is to create innovative 
technologies to build next generation 
large-scale computing platforms and to 
simplify and automate the management 
of complex IT systems and services. Our 
researchers have expertise in networking, 
statistics, modeling, distributed systems, 
and operating systems. Our group has 
many ongoing projects, especially in the 
emerging Cloud Computing area.  We 
strongly believe in publishing our research 
and advancing the state-of-the-art. We also 
build technologies that solve real world 
problems and ultimately help industry 
business needs. Many of our research 
results have been /will be transferred into 
industry products.

The group is seeking a member to 
work in the area of system modeling 
and analysis. The candidate must have a 
PhD in CS/CE with strong publication 
records in related areas. He/she is 
expected to develop advanced system 
management solutions by utilizing the 
mathematical skills, especially in data 
mining and machine learning, as well as 
the knowledge about system architecture 
and design. Specifically the candidate 

will analyze the vast amount of system 
measurement data to model and infer 
the system operational behavior. The 
qualified person must have research 
experiences that cover the following 
topics:

•	Distributed systems and data center
•	Statistical data mining, 

optimization, and information 
theory

•	Virtualization and resource 
provisioning 

•	Performance, reliability, 
dependability and security 

•	Autonomic computing 
For consideration, please forward 

your resume and a research statement 
to recruit@nec-labs.com and reference 
“ASDS-RSM” in the subject line.

EOE/AA/MFDV

Palo Alto Research Center 
(PARC)
Intelligent Systems Laboratory 

Manager, Knowledge, Language and 

Interaction Area 

The Intelligent Systems Laboratory 
at PARC is looking for a dynamic and 
experienced research manager to lead 
a group doing pioneering research in 
support of the development of intelligent 
assistants for enterprise and consumer 
applications. These intelligent assistants 
provide decision support through 
summarization and visualization, question 
answering and intelligent prediction.

Responsibilities include research 
vision and leadership, contract 
acquisition and relationship 
management, and group, project and 
team management. Substantial relevant 
experience is required. For more 
information see http://www.parc.com/
about/careers/.

The Intelligent Systems Lab does 
scientific research and develops and 
delivers core technologies that help 
people perceive, reason, and interact 
in a complex world. A subsidiary of 
Xerox, PARC is supported by contracts 
with corporate clients and government 
agencies, as well as through licensing. 
PARC provides both opportunities and 
support for bringing visionary ideas to 
commercial realization.

PARC is an Equal Employment 
Opportunity company committed to 
workforce diversity, provides excellent 
benefits, and offers flexible working 
arrangements for employees.

How to apply: Please send a CV, cover 
letter, and research statement via http://
www.parc.com/about/careers/.

Portland State University
Computer Science Department

Faculty Position

The Computer Science Department 
at Portland State University invites 
applications for a junior tenure-track 
faculty position to begin Fall 2010.  
Specific areas of computer science 
under consideration include: artificial 
intelligence and machine learning; 
multi-core architectures and parallel 
programming; visualization and graphics; 
security and cryptography.  Exceptional 
applicants in other areas or at other ranks 
will also be considered.

The department currently has twenty-
five tenure-track faculty, including four 
NSF CAREER Award winners and two 
ACM Fellows.  The department offers 
an ABET accredited B.S., an M.S., and 

Professional Opportunities

Professional Opportunities
Continued on Page 10 

            
          
 

           
           
             
           
           
     

          
  

                
          
               
 

               
           

     
                 
              
             
              
          
      
             
          


               
                
        

            
           
 

        
      

 
a Ph.D. in Computer Science.  Our 
teaching loads give faculty time to 
maintain funded research programs 
and to collaborate with local industry.  
The department currently serves 
approximately 400 undergraduates 
and 120 graduate students.  Further 
information about the department is 
available at http://www.cs.pdx.edu.

Portland State University is located 
in downtown Portland, Oregon. 
Portland’s “Silicon Forest” is one of the 
major software/hardware development 
centers in the country.  The Portland 
metropolitan area has over 200 hardware 
and software organizations, including 
Intel, the Open Source Development Lab, 
Tektronix, InFocus, Mentor Graphics, 
IBM and many software start-ups.  The 
University is approximately one hour 
from magnificent beaches and year-round 
outdoor activities.  Portland has been 
ranked highly for quality of life, including 
the #1 greenest city, the #1 cleanest city, 
and the #1 cycling city.  Applicants are 
expected to hold or be near completion 
of a Ph.D. degree in Computer Science 
or a closely related field.  All applicants 
are expected to show great potential 
for future external research support 
and a demonstrated record of research 
excellence.

The faculty member will maintain 
scholarly activity in funded research and 
publications; teach undergraduate and 
graduate classes; provide professionally 
related public service; advise students, 
and support University activities through 
committee service.

For more information and application 
procedure, please visit http://cs.pdx.edu.  
For inquiries about this position, please 
contact cssearch@cs.pdx.edu.  Review of 
applications will begin immediately and 
will continue until finalists are identified.

Portland State University is an 
Affirmative Action, Equal Opportunity 
Institution and welcomes applications 
from diverse candidates and candidates 
who support diversity.

Purdue University
The Cyber Center

Managing Director

The Cyber Center at Purdue (http://
www.purdue.edu/dp/cyber/) engages in 
innovative research to enable discovery in 
science and engineering using computing, 
communication and information 

infrastructure. The Center has been 
widely successful in obtaining funding for 
large scale cyber infrastructure projects on 
the Purdue campus from several federal 
agencies. 

We are looking for an individual with 
leadership, organizational and technical 
skills to help the director of the center 
to manage the interface with the Purdue 
faculty, to identify funding opportunities 
and organize teams that would respond to 
RFPs, to oversee the day-to-day activities 
of the center, to oversee recruitment and 
management of facility staff, to interface 
and act as a spokesperson for the center, 
to generate periodic reports when 
required by the higher administration or 
funding agencies and finally to facilitate 
collaborations with other centers in 
Discovery Park (http://www.purdue.edu/
dp/) . The incumbent helps coordinate 
administrative/clerical staff, provides 
leadership and supervision in organizing 
and managing special events, and devises 
and implements plans for development, 
marketing, and communication. 

The successful applicant MUST have 
at least an MS degree in a technology 
related field with five or more years of 
professional experience, an extensive 
experience in a managerial role with 
preference to those with experience in 
a research funding environment.  A 
preference will be given to someone with 
a Ph.D., knowledge of fiscal planning/
budgeting, experience with academic 
(faculty) environment and the federal 
funding environment.

Apply online job number 0901144: 
www.purdue.edu/hr/Employment Purdue 
University is an equal access/equal 
opportunity/affirmative action employer 
full committed to achieving a diverse 
workforce.

United States Naval Academy
The Center for Cyber Security Studies 

Director 

The Center for Cyber Security Studies 
encompasses support for all programs 
that contribute to knowledge, study, 
research and practice of cyber warfare and 
information dominance at the U.S. Naval 
Academy.  The Director of the Center 
for Cyber Security Studies will develop, 
manage and nurture a comprehensive 
institution-wide program in cyber warfare 
by coordinating curriculum development, 
facilitating the sharing of expertise 

and perspectives in cyber warfare from 
across the Academy and enhancing 
inter-disciplinary research and practical 
exercises in cyber warfare.  The Director 
will take a leadership role in defining the 
future directions of the Center through 
the development of new resources, the 
coordination of joint interdisciplinary 
research efforts between the Naval 
Academy and other institutions and 
agencies, and through the development of 
goals and strategic annual and long-range 
plans for the Center.

The successful candidate will have 
an outstanding record of teaching 
accomplishments and program building, 
and a demonstrated ability to manage and 
lead a diverse team of students, faculty, 
technical professionals and administrative 
staff.  The minimum requirements for 
this position are:

•	An earned Ph.D. in Computer 
Science, Information Technology 
or a closely related discipline is 
preferred, but candidates with 
an M.S. and significant relevant 
experience will also be considered.  

•	Demonstrated success at grant 
writing and procurement of outside 
support.

•	Significant record of teaching 
excellence at the undergraduate 
level within the academic field of 
expertise.

•	U.S. citizenship.
•	The Director is expected to 

serve as an innovative leader in 
program support and new program 
development, and thus the following 
attributes are highly desirable but 
not required:

•	Demonstrated ability to perform 
effective outreach and to form and 
nurture partnerships with external 
stake holders.

•	Strong record of securing significant 
external financial support.

•	Proven record of building and 
sustaining academic programs 
with an emphasis on launching 
innovative interdisciplinary 
programs among schools and 
departments.

A tenure-eligible faculty appointment 
is possible depending on qualifications.

To apply, electronically submit a 
cover letter, curriculum vitae, statement 
of vision for the center as well as three 
letters of recommendation to: 

cyber@usna.edu
Applications will be reviewed as they 

are received with a rolling application 
process. 

University of British Columbia
Department of Computer Science

Tenure-Track Faculty Position

The Department of Computer Science 
at the University of British Columbia 
is recruiting for a tenure-track faculty 
position at the Assistant Professor level 
for the 2010/2011 academic year. 

The responsibilities of the position 
include teaching at the undergraduate 
and graduate levels, supervising 
graduate students, and developing and 
maintaining an active research program. 
The department is seeking outstanding 
candidates with a research focus in one of 
the following areas:

(a) programming languages and 
software engineering and (b) algorithms 
and complexity. A PhD in Computer 
Science or a related area is required. The 
anticipated start date is July 1, 2010.

The successful candidate must have an 

exceptional research record, as judged by 
the strength of the application materials 
including the portfolio of publications 
and other research artefacts developed 
during his or her Ph.D. program, 
and post Ph.D. career, if applicable.  
The application materials must also 
demonstrate that the candidate shows 
promise as an excellent teacher and 
has potential to become an innovative 
and independent researcher and a 
leader in his or her field.  The ability 
of an applicant’s research program to 
complement and extend the existing 
research strengths of the department will 
be an important factor in selection.

Applicants for the position must 
submit a CV, a teaching statement, a 
research statement, and the names of 
at least three references. The teaching 
statement should include a record of 
teaching interests and experience.  If 
you wish to apply, please follow the 
instructions at:

http://www.cs.ubc.ca/career/faculty.
shtml

The website will remain open for 
submissions through the end of the 
day on March 14, 2010.  The website 
may remain open past that date at the 
discretion of the Recruiting Committee. 
All applications submitted while the 
above website is open will be considered.    

UBC hires on the basis of merit and 
is committed to employment equity. All 
qualified candidates are encouraged to 
apply; however, Canadian citizens and 
permanent residents will be given priority.  

Our department strives to maintain 
a collegial and supportive atmosphere.  
We strongly encourage candidates with 
diverse backgrounds and experiences 
based on, for example, gender, race, 
ethnicity, religion, sexual orientation, and 
disability status to apply. 

If you have questions about the 
application process, please contact 
the Recruiting Committee Chair, Bob 
Woodham, at the email or postal address 
below. 

Bob Woodham (recruit@cs.ubc.ca)
Chair, Recruiting Committee
Department of Computer Science
University of British Columbia
Vancouver BC V6T 1Z4

University of the District of 
Columbia
School of Engineering and Applied 

Sciences

Tenure-Track Positions

The University of the District of 
Columbia is America’s Urban Land-
Grant University which is statutorily 
classified as a Historically Black College 
and University.  It is among only 13 
HBCUs nationally accredited by ABET.  
The School offers BS degree programs 
in Civil, Electrical and Mechanical 
Engineering, Computer Science and 
Information Technology, Architecture, 
and MS programs in computer science 
and electrical engineering.  New programs 
in bioengineering and renewable energy 
are proposed.  For each position, 
salary and rank will be commensurate 
with qualifications and professional 
experience.  Nominations and 
applications are invited for the following 
tenure-track positions:

Assistant/Associate Professor of 
Information Technology (2 Positions) 
Candidates must have a PhD in computer 
science or information technology or 
closely-related field with specialization 
in human computer interaction (HCI) 

Tenure-Track Faculty 

                                  Department of Computer and Information Sciences                       
                                                          Temple University 

Tenure Track Faculty 

Applications are invited for a tenure-track, open rank, faculty position in the 
Department of Computer and Information Sciences at Temple University. 
Areas of interest include, but are not limited to  

 Computer Systems,  

 Wired and Wireless Networks, and  

 Trustworthy and Reliable Computing.  

For senior rank candidates, applications should include curriculum vitae, a 
statement of recent achievements, and research, and teaching goals, up to 
three representative publications, and names and addresses of at least three 
references. Junior candidates should have three reference letters sent 
directly.  Please submit applications online at http://academicjobsonline.org. 
For further information check http://www.cis.temple.edu. Review of 
candidates will begin on February 1, 2010 and will continue until the position 
is filled. Temple University is an equal opportunity, equal access, affirmative 
action employer. 
or information assurance and systems 
(IAS).  For the HCI, we are seeking 
a candidate with a strong interest in 
concepts, algorithms, and tools in human 
centered man-machine interaction 
problems. Other related areas such as 
graphical or multimodal user interfaces 
and novel HCI concepts in regards 
to social networking and ubiquitous/
mobile computing are also of interest.  
For the IAS, we are seeking a candidate 
with a strong practical interest in 
concepts, technology, and practice in 
availability, integrity, authentication, 
confidentiality, and non-repudiation of 
information systems and incorporating 
protection, detection, and reaction 
capabilities into information systems. 
Practical knowledge and competitive 
research records in the administration 
and security problems of operating 
systems, databases, and networking are 
expected. Cloud computing or mobile 
computing emphasis will be a plus. The 
IAS faculty member will be expected to 
collaborate closely with the department’s 
IA team. The primary duty will be to 
enhance the department’s IT program, 
to teach undergraduate and graduate 
courses, to develop externally-funded 
research projects, to develop curricula 
and labs, and to perform academic duties, 
university and professional service.

Candidates should send, in electronic 
format, a cover letter attesting to their 
qualifications for the position, a current 
CV, and names and contacts for at 
least three professional references to Dr 
Byunggu Yu, CSIT Chair at byu@udc.
edu.

The University of the District of 
Columbia is an equal opportunity 
employer. This and other faculty positions 
are also available at http://www.udc.edu/
hr/jobs.htm.

University of Kentucky
Departments of Computer Science and 

Veterinary Science

Postdoctoral Scholar

A collaborative and growing 
interdisciplinary research team in 
Lexington, Kentucky is looking 
for an innovative and enthusiastic 
Ph.D. graduate to join our group as a 
postdoctoral scholar.  This position offers 
the opportunity to integrate discovery 
research in computational and biological 
sciences to address major biomedical 
health questions.  The position will be 
renewed annually and can be extended 
for 3 years.  We offer a competitive salary 
and benefits package in a stimulating and 
interactive learning environment.

This postdoctoral educational 
opportunity centers on computational, 
statistical, and biological aspects of 
mRNA transcriptome analyses.  Deep 
sequencing technologies are being 
applied to the mRNA transcriptome 
to identify and differentiate all mRNA 
variants in a sample, quantitate steady 
state expression levels, link individual 
mRNA transcripts to genomic DNA 
haplotypes, and predict translational 
parameters.  Computational and 
analytical methods are being developed 
to record, analyze, and compare mRNA 
transcriptomes using RNA sequencing 
technologies.  The position will provide 
opportunities for mentorship of graduate 
and undergraduate students working on 
related projects.

Faculty mentors
•	Jinze Liu, PhD.  (liuj@netlab.uky.

edu;  http://www.cs.uky.edu/~liuj)

•	James N. MacLeod, VMD, PhD.  
(jnmacleod@uky.edu; http://www.
ca.uky.edu/gluck/MacLeodJN.asp)

•	Qualifications
•	Ph.D. in computer science, statistics, 

genetics, or biology
•	Strong background in machine 

learning and data mining
•	Strong programming experience in 

Python/C/C++
•	Basic understanding of molecular 

and cellular biology is preferred
•	Scientific writing experience
Please apply online at:
https://ukjobs.uky.edu/applicants/

Central?quickFind=216457
The University of Kentucky is an equal 

opportunity university.

The University of Texas at Dallas
Department of Computer Science

Tenure-System Faculty Positions in 

Computer Science

The Department of Computer 
Science at The University of Texas 
at Dallas invites applications from 
outstanding applicants for tenure-system 
positions in computer science. Preference 
will be given to senior candidates in the 
areas of software engineering, computer 
networks, and semantic technologies; 
however exceptional candidates in all 
areas will be considered. Candidates 
must hold a PhD in Computer Science, 
Software Engineering, Computer 
Engineering, or the equivalent. 
Candidates for senior positions must 
have a distinguished research and 
publication record and demonstrated 
leadership ability in developing and 
expanding funded research programs. 
A significant start-up package has been 
budgeted. An endowed chair position 
may be available for highly qualified 
senior candidates; junior candidates must 
show outstanding promise.

The Department offers the BS, MS, 
and PhD degrees both in Computer 
Science and Software Engineering, as 
well as in the interdisciplinary fields of 
Telecom Engineering and Computer 
Engineering. Currently, 44 tenure-system 
faculty and nine senior lecturers comprise 
the faculty. Housed in a spacious 
150,000 square feet facility with excellent 
computing equipment and support, the 
department hosts a number of centers in 
areas as diverse as embedded software, 
cyber security, and human-language 
technology.

UT Dallas is located in the attractive 
northern suburbs of the Dallas 
metropolitan area and enjoys close 
proximity to hundreds of high-tech 
and telecommunications companies, 
including Texas Instruments, Alcatel, 
Ericsson, Hewlett-Packard, Nokia, Fujitsu, 
Raytheon, Rockwell Collins, and Cisco, 
to name but a few. Opportunities for 
joint university-industry research projects 
are excellent, and the State of Texas and 
UT Dallas continue to make considerable 
investment in commercialization of 
technologies developed in university labs. 
The Jonsson School has experienced 
very rapid growth in recent years, and 
the University and the State of Texas are 
investing significant resources to reach 
Tier One status.  Interested individuals 
may learn more about the program 
at http://cs.utdallas.edu.  Review of 
applications will begin immediately with 
starting dates available either summer or 
fall 2010.

The University of Texas at Dallas 
uses an online application system 

that provides applicants a quick, safe, 
and easy method of applying and 
monitoring uploaded documents. 
Interested individuals should submit 
their current curriculum vitae, a letter of 
interest (including qualifications for the 
position and prior accomplishments), 
and letters of recommendation from (or 
the names and contact information for) 
at least five professional references via 
the online application form, available 
at http://go.utdallas.edu/pcw091216, 
where they will submit their preferred 
email address to receive instructions to 
access a personalized application profile 
website. School hiring officials will receive 
notification when application materials 
are posted and are available for review. All 
available faculty positions are posted at:

http://provost.utdallas.edu/
facultyjobs.

The University of Texas at Dallas is an 
Equal Opportunity / Affirmative Action 
employer. All qualified applicants will 
receive consideration for employment 
without regard to race, color, religion, sex, 
national origin, disability, age, citizenship 
status, Vietnam era or special disabled 
veteran’s status, or sexual orientation.

University of Utah
School of Computing

Faculty Positions in Digital Media 

The School of Computing at the 
University of Utah seeks multiple hires in 
the field of Digital Media. 

We seek two outstanding faculty 
members in digital media (computer 
graphics, animation, computer games, 
computational photography, or other 
related area).  One tenured position at 
the rank of associate or full professor and 
one tenure track position at the rank of 
assistant professor. Since the 1960s when 
pioneering graphics research became 
a core focus at Utah, there has been a 
vibrant congenial community supporting 
this activity. Being one of the oldest and 
most successful graphics programs in the 
nation, Utah and its alums have played a 
prominent role in the birth and explosive 
development of computer graphics.  Our 
program includes large, multi-investigator 
efforts addressing large-scale problems of 
significant impact, as well as a number 
of individual investigator research 
activities.  Currently, computer graphics 
research has strong programs in scientific 
visualization, physical simulation 
for computer animation, geometry 
processing, modeling/manufacturing, and 
perception.  We wish to build upon these 
successful areas with dynamic researchers 
seeking to develop a strong synergistic 
program in digital media with strong 
collaboration with faculty in the College 
of Fine Arts.

These new hires will work with 
Digital Media faculty in the Film 
Studies Division in the College of Fine 
Arts and Digital Media Faculty in the 
School of Computing in the College of 
Engineering.  These positions are part 
of the Utah Science, Technology and 
Research Initiative (USTAR) which was 
funded by the Utah State Legislature 
to attract focused teams of outstanding 
researchers who have the potential of 
helping build major research programs 
and creating new technology that can 
ultimately lead to commercial products 
and/or new industries for Utah.  For 
more information about USTAR, visit: 
http://ustar.utah.gov/

The School of Computing offers a 
specialized M.S. and Ph.D. Computing 

Degree graduate track in Computer 
Graphics and Visualization and has an 
Entertainment Arts and Engineering 
program at the undergraduate level 
that spans art and computer science. 
Applicants should have earned a Ph.D. 
in Computer Science or a closely related 
field.

The University of Utah is located 
in Salt Lake City, the hub of a large 
metropolitan area with excellent cultural 
offerings and unsurpassed opportunities 
for outdoor recreation only a few minutes’ 
drive away.  Additional information about 
the School of Computing can be found at 
www.cs.utah.edu.

Please send curriculum vitae, a 
research goals statement, a teaching goals 
statement, and names and addresses of 
at least four references via email in PDF 
format to:

USTAR Faculty Recruiting Committee 
c/o Mr. Chris Coleman 
coleman@cs.utah.edu 
The University of Utah is an Equal 

Opportunity, Affirmative Action 
Employer and encourages nominations 
and applications from women and 
minorities, and provides reasonable 
accommodation to the known disabilities 
of applicants and employees. 

The University of Utah values 
candidates who have experience working 
in settings with students from diverse 
backgrounds, and possess a strong 
commitment to improving access 
to higher education for historically 
underrepresented students. The University 
of Utah is sensitive and responsive to ‘two-
body problems’ and has a positive history 
of assisting with opportunities in the Salt 
Lake City area.

UW Milwaukee
Department of Health Sciences

NLP Research Faculty

Recruiting a NLP research faculty in 
information retrieval, summarization, 
machine learning or question answering. 
Send CV and two publications to Hong 
Yu hongyu@uwm.edu. 

The position is available immediately, 
and remains open until it is filled.

Utah State University
Department of Computer Science

Assistant Professor

Applications are invited for a tenure 
track assistant professor position 
beginning Fall, 2010. Applicants must 
have completed a PhD in computer 
science by the time of appointment. 
The position requires demonstrated 
research success, a significant potential 
for attracting external research funding, 
excellence in teaching both undergraduate 
and graduate courses, the ability to 
supervise student research, and excellent 
communication skills. The department 
is interested in strengthening its focus 
in one or more of the following areas: 
software security, informatics, software 
engineering, or database systems. 

Women, minority, veteran and 
candidates with disabilities are 
encouraged to apply.  USU is sensitive 
to the needs of dual-career couples. Utah 
State University is an affirmative action/
equal opportunity employer, committed 
to increasing diversity among students, 
faculty, and all participants in university 
life. 

Applications must be submitted using 
USU’s online job-opportunity system at 
jobs.usu.edu.  The review of applications 
will begin on January 15, 2010 and 
continue until the position is filled.
CRA CONFERENCE AT SNOWBIRD 2010 u JULY 18 – 20, 2010 u SNOWBIRD, UTAH
The flagship conference for chairs of Ph.D.-granting departments of CS and

CE and leaders from U.S. industrial and government computing research
laboratories and centers interested in computing research issues.

CRA Conference at Snowbird 2010 Sponsors • Association for Computing Machinery • AT&T Research • Avaya • CA Labs • Google • IBM Research 
• Intel Corporation • Microsoft Research • Mitsubishi Electric Research Labs • National Security Agency • Sun Microsystems, Inc. • USENIX Association

Sunday, July 18

CRA Board of Directors Meeting (begins Saturday 6PM)	 8:30AM - 2:45PM

Conference Registration	 2:00PM - 7:30PM

Workshop for New Department Chairs	 3:00PM – 5:45PM
Chair:  Mike Gennert (Worcester Polytechnic Institute)
Co-Chairs:  Barbara Ryder (Virginia Tech); Darrell Whitley (Colorado State)
Speakers: TBD

Welcome Reception	 6:00PM - 7:00PM

Dinner	 7:00PM - 9:00PM
	 Speaker: Yoky Matsuoka, Torode Family Endowed
	 Career Development Professor of Computer
	 Science and Engineering (University of Washington)
	 Title: “Move Better with a Robot”
	 Introduction: David Notkin (University of Washington)

Monday, July 19

Breakfast Buffet	 7:00AM - 8:30AM

Registration	 7:30AM - 6:00PM

Welcome	 8:30AM - 8:40AM

	 Speakers:
	 Mary Fernandez, AT&T Labs – Research (Labs/Centers Co-Chair)
	 David Notkin, University of Washington (Academic Co-Chair)

PLENARY SESSION I	 8:40AM -10:00AM

Why Can’t Teaching Be More Like Research?
	 Chair: Lynn Andrea Stein (Olin College of Engineering)
	 Speaker: Sally Fincher (University of Kent)

Break	 10:00AM -10:30AM

Workshop I (two parallel sessions)	 10:30AM – Noon

The CS/10K Project
	 Chair: Jan Cuny (National Science Foundation)
	 Panelists:
	 Owen Astrachan (Duke University)
	 Jan Cuny (National Science Foundation)
	 Larry Snyder (University of Washington)

CCC Workshop on Discovery and Innovation in Health IT
	 Chair: Susan Graham (UC Berkeley)
	 Panel: TBA

Luncheon	 Noon -1:30PM

PLENARY SESSION II	 1:30PM - 3:00PM

Peer Review in Computing Research
	 Chair: H.V. Jagadish (University of Michigan)
	 Panel Moderator: Moshe Y. Vardi (Rice University)
	 Panelists:
	 Rich Baranuik (Rice University)
	 Lance Fortnow (Northwestern University)
	 Jeffrey Mogul (HP Labs)
	 Jeannette Wing (NSF)

Break	 3:00PM - 3:30PM

Workshop II (two parallel sessions)	 3:30PM - 5:00PM

Education in the Magic Circle: The Promise of Games
	 Co-Chairs and Speakers:
	 Michael Mateas (UC Santa Cruz)
	 John Nordlinger (Microsoft)
	 Speaker: Michael Zyda (University of Southern California)

The Computing Innovation Fellows (CIFellows) Program
	 Speaker: Peter Lee (DARPA)

Dinner and State of the CRA Address	 6:30PM - 9:00PM
	 Presentations:
	 CRA’s Distinguished Service Award by CRA Board Chair
	 CRA’s Habermann Award by CRA Executive Director

	 Speakers:
	 Eric Grimson (CRA Board Chair)
	 Andrew Bernat (CRA Executive Director)

Tuesday, July 20

Breakfast Buffet	 7:00AM - 8:30AM

PLENARY SESSION III	 8:30AM - 10:00AM

Making a Federal Case for Computing
	 Chair: Fred Schneider (Cornell University)
	 Speaker: Peter Harsha (CRA)

Break	 10:00AM - 10:30AM

Workshop III (three parallel sessions)	 10:30AM - Noon

CRA-E Report on Basic Computing Knowledge
	 Chair: Mary Fernandez (AT&T Labs Research)
	 Speaker: Andries van Dam (Brown University)

Guidelines for Enhancing Faculty Recruitment
	 Chair: Jeffrey Vitter (Texas A&M University)
	 Panelists:
	 Eric Grimson (MIT)
	 Debra Richardson (UC Irvine)
	 Eva Tardos (Cornell)

Communicating Computer Science: The Hot Under the Cool
	 Chair: Judith Bishop (Microsoft)
	 Panelists:
	 Shyno Chacko Pandeya (New Image of Computing Initiative)
	 Virginia Gold (ACM)
	 Jon Kleinberg (Cornell)

Luncheon	 Noon-1:30PM

PLENARY SESSION IV	 1:30PM - 3:00PM

Foresight and Flexibility
	 Chair: Peter Lee (DARPA)
	 Speaker: Regina Dugan (Director, DARPA)

Workshop IV (three parallel sessions)	 3:30PM – 5:00PM

Enriching Undergraduate Learning through Apprenticeships
	 Chair: Frank Tompa (University of Waterloo)
	 Panelists:
	 Arnie Dyck (University of Waterloo)
	 Ran Libeskind-Hadas (Harvey Mudd Colllege)
	 David Porush (MentorNet)

Ratings/Rankings of Graduate Programs and Research
	 Chair and Panelist: Jim Kurose (University of Massachusetts)
	 Panelists:
	 Charlotte Kuh (National Research Council)
	 Valerie Taylor (Texas A&M University)
	 Jeffrey Vitter (Texas A&M University)

Computer Science and Global Development: 
A New High-Impact Research Area
	 Speakers: Tapan Parikh (University of California, Berkeley)
	 Lakshmi Subramanian (New York University)

Managing Up – Partnering with your Dean	 5:00PM –6:00PM
	 Chairs & Participants:
	 Martha E. Pollack (Dean, School of Information, University of Michigan)
	 Bobby Schnabel (Dean, School of Informatics, Indiana University)

	 Participant Deans:
	 Peter Bloniarz (College of Computing and Information, SUNY Albany)
	 Randy Bryant (School of Computer Science, CMU)
	 Rich DeMillo (College of Computing, Georgia Tech, former Dean)
	 Dan Huttenlocher (Computing and Information Science, Cornell University)
	 Ron Larsen (School of Information Sciences, University of Pittsburgh)
	 Debra Richardson (Donald Bren School of Information and 
	 Computer Sciences, UC Irvine)

Reception/Dinner	 6:30PM – 7:30PM

CRA-Deans Meeting	 4:00PM - 9:00PM
	 Chair: Debra Richardson (UC Irvine)

	 Wednesday, July 21	 8:30AM - Noon

Preliminary Program

Organizing Committee

Co-Chairs
David Notkin (University of Washington) Academic Co-Chair
Mary Fernandez (ATT Labs - Research) Labs/Centers Co-Chair

Members
Sarita Adve (University of Illinois at Urbana-Champaign); Judith Bishop (Micro-
soft Research); Ed Fox (Virginia Tech); H.V. Jagadish (University of Michigan); 
Renee McCauley (College of Charleston); Bobby Schnabel (Indiana University); 
Fred Schneider (Cornell University); Mark Segal (National Security Agency); 
Lynn Andrea Stein (Olin College); and Frank Tompa (University of Waterloo).

Program and Registration Information
http://www.cra.org/snowbird


